## curlsmtpsink curlsmtpsink |

## Properties

gchar * | content-type | Read / Write
gchar * | mail-from | Read / Write
gchar * | mail-rcpt | Read / Write
gchar * | message-body | Read / Write
gint | nbr-attachments | Read / Write
gchar * | pop-location | Read / Write
gchar * | pop-passwd | Read / Write
gchar * | pop-user | Read / Write
gchar * | subject | Read / Write
gboolean | use-ssl | Read / Write

## Types and Values

struct | GstCurlSmtpSink

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstBaseSink
                        ╰── GstCurlBaseSink
                            ╰── GstCurlTlsSink
                                ╰── GstCurlSmtpSink

## Description

## Synopsis

### Element Information

plugin | curl
author | Patricia Muscalu <patricia@axis.com>
class | Sink/Network

### Element Pads

name | sink
direction | sink
presence | always
details | ANY

## Functions

## Types and Values

### struct GstCurlSmtpSink

    struct GstCurlSmtpSink;

## Property Details

### The `“content-type”` property

      “content-type”             gchar *

The mime type of the body of the request.

Flags: Read / Write

Default value: NULL

### The `“mail-from”` property

      “mail-from”                gchar *

Single address that the given mail should get sent from.

Flags: Read / Write

Default value: NULL

### The `“mail-rcpt”` property

      “mail-rcpt”                gchar *

Single address that the given mail should get sent to.

Flags: Read / Write

Default value: NULL

### The `“message-body”` property

      “message-body”             gchar *

Message body.

Flags: Read / Write

Default value: NULL

### The `“nbr-attachments”` property

      “nbr-attachments”          gint

Number attachments to send.

Flags: Read / Write

Default value: 1

### The `“pop-location”` property

      “pop-location”             gchar *

URL POP used for authentication.

Flags: Read / Write

Default value: NULL

### The `“pop-passwd”` property

      “pop-passwd”               gchar *

User password to use for POP server authentication.

Flags: Read / Write

Default value: NULL

### The `“pop-user”` property

      “pop-user”                 gchar *

User name to use for POP server authentication.

Flags: Read / Write

Default value: NULL

### The `“subject”` property

      “subject”                  gchar *

Mail subject.

Flags: Read / Write

Default value: NULL

### The `“use-ssl”` property

      “use-ssl”                  gboolean

Use SSL/TLS for the connection.

Flags: Read / Write

Default value: FALSE